OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph_img_io.h File Reference
`#include <cstdio>`
`#include <cassert>`
`#include "ojph_base.h"`
`#include "ojph_defs.h"`

Go to the source code of this file.

## Classes
class | ojph::image_in_base
class | ojph::ppm_in
class | ojph::dpx_in
class | ojph::yuv_in
class | ojph::raw_in
class | ojph::pfm_in
class | ojph::image_out_base
class | ojph::ppm_out
class | ojph::yuv_out
class | ojph::raw_out
class | ojph::pfm_out

## Namespaces
namespace | ojph

## Typedefs
typedef void(* | ojph::conversion_fun) (const line_buf *ln0, const line_buf *ln1, const line_buf *ln2, void *dp, ui32 bit_depth, ui32 count)

## Functions
void | ojph::gen_cvrt_32b1c_to_8ub1c (const line_buf *ln0, const line_buf *ln1, const line_buf *ln2, void *dp, ui32 bit_depth, ui32 count)
void | ojph::gen_cvrt_32b3c_to_8ub3c (const line_buf *ln0, const line_buf *ln1, const line_buf *ln2, void *dp, ui32 bit_depth, ui32 count)
void | ojph::gen_cvrt_32b1c_to_16ub1c_le (const line_buf *ln0, const line_buf *ln1, const line_buf *ln2, void *dp, ui32 bit_depth, ui32 count)
void | ojph::gen_cvrt_32b3c_to_16ub3c_le (const line_buf *ln0, const line_buf *ln1, const line_buf *ln2, void *dp, ui32 bit_depth, ui32 count)
void | ojph::gen_cvrt_32b1c_to_16ub1c_be (const line_buf *ln0, const line_buf *ln1, const line_buf *ln2, void *dp, ui32 bit_depth, ui32 count)
void | ojph::gen_cvrt_32b3c_to_16ub3c_be (const line_buf *ln0, const line_buf *ln1, const line_buf *ln2, void *dp, ui32 bit_depth, ui32 count)
void | ojph::sse41_cvrt_32b1c_to_8ub1c (const line_buf *ln0, const line_buf *ln1, const line_buf *ln2, void *dp, ui32 bit_depth, ui32 count)
void | ojph::sse41_cvrt_32b3c_to_8ub3c (const line_buf *ln0, const line_buf *ln1, const line_buf *ln2, void *dp, ui32 bit_depth, ui32 count)
void | ojph::sse41_cvrt_32b1c_to_16ub1c_le (const line_buf *ln0, const line_buf *ln1, const line_buf *ln2, void *dp, ui32 bit_depth, ui32 count)
void | ojph::sse41_cvrt_32b3c_to_16ub3c_le (const line_buf *ln0, const line_buf *ln1, const line_buf *ln2, void *dp, ui32 bit_depth, ui32 count)
void | ojph::sse41_cvrt_32b1c_to_16ub1c_be (const line_buf *ln0, const line_buf *ln1, const line_buf *ln2, void *dp, ui32 bit_depth, ui32 count)
void | ojph::sse41_cvrt_32b3c_to_16ub3c_be (const line_buf *ln0, const line_buf *ln1, const line_buf *ln2, void *dp, ui32 bit_depth, ui32 count)
void | ojph::avx2_cvrt_32b1c_to_8ub1c (const line_buf *ln0, const line_buf *ln1, const line_buf *ln2, void *dp, ui32 bit_depth, ui32 count)
void | ojph::avx2_cvrt_32b3c_to_8ub3c (const line_buf *ln0, const line_buf *ln1, const line_buf *ln2, void *dp, ui32 bit_depth, ui32 count)
void | ojph::avx2_cvrt_32b1c_to_16ub1c_le (const line_buf *ln0, const line_buf *ln1, const line_buf *ln2, void *dp, ui32 bit_depth, ui32 count)
void | ojph::avx2_cvrt_32b1c_to_16ub1c_be (const line_buf *ln0, const line_buf *ln1, const line_buf *ln2, void *dp, ui32 bit_depth, ui32 count)